Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 244752 - Review Request: mod_dnssd - An Apache HTTPD module which adds Zeroconf support
Review Request: mod_dnssd - An Apache HTTPD module which adds Zeroconf support
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ruben Kerkhof
Fedora Package Reviews List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 18:04 EDT by Ignacio Vazquez-Abrams
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-30 13:19:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ruben: fedora‑review+
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2007-06-18 18:04:56 EDT
Spec URL: http://www.hotlinkfiles.com/files/85177_zolzc/mod_dnssd.spec
SRPM URL: 
http://www.hotlinkfiles.com/files/85178_0fghm/mod_dnssd-0.5-1.fc7.src.rpm
Description: mod_dnssd is an Apache HTTPD module which adds Zeroconf support via DNS-SD using Avahi.
Comment 1 Ruben Kerkhof 2007-06-20 14:36:37 EDT
Hi Ignacio,

Review for release 1:
* RPM name is OK
* Source mod_dnssd-0.5.tar.gz is the same as upstream
* This is the latest version
* Builds fine in mock
* rpmlint looks OK
* File list looks OK
* Config files of mod_dnssd looks OK
* I have been able to publish some virtual hosts, guided by the included README file. They showed up 
nicely in Safari on my Mac

Notes:
- Can you add LoadModule dnssd_module modules/mod_dnssd.so to mod_dnssd.conf?
- Publishing ~/user dirs didn't show up (public_html in my homedir)

Comment 2 Ignacio Vazquez-Abrams 2007-06-25 16:35:49 EDT
Updated.

http://www.hotlinkfiles.com/files/93587_vi1nn/mod_dnssd.spec
http://www.hotlinkfiles.com/files/93588_78oll/mod_dnssd-0.5-2.fc7.src.rpm

(In reply to comment #1)
> Notes:
> - Can you add LoadModule dnssd_module modules/mod_dnssd.so to mod_dnssd.conf?

Fixed.

> - Publishing ~/user dirs didn't show up (public_html in my homedir)

Even when uncommenting DNSSDAutoRegisterUserDir? Hrm. CCing upstream.
Comment 3 Ruben Kerkhof 2007-06-25 16:51:50 EDT
> Even when uncommenting DNSSDAutoRegisterUserDir? Hrm. CCing upstream

Yes, I tried to walk through the module with gdb, but it forks a child process early during httpd startup, 
and I couldn't step through it.

But anyway, the package itself looks good, and most of the functionality works, so it's approved.
Comment 4 Ignacio Vazquez-Abrams 2007-06-25 23:47:46 EDT
New Package CVS Request
=======================
Package Name: mod_dnssd
Short Description: An Apache HTTPD module which adds Zeroconf support
Owners: ivazqueznet@gmail.com
Branches: F-6, F-7
InitialCC: 
Comment 5 Kevin Fenzi 2007-06-26 13:09:37 EDT
cvs done.
Comment 6 Lennart Poettering 2007-07-24 17:55:42 EDT
Ignacio: thanks for packaging this. I'd love to be added as a CC for bugs.

Hmm, DNSSDAutoRegisterUserDir might not have worked on your machine due to a
couple of reasons:

1. You hit the trivial bug i fixed in upstream r63. (Ignacio, you probably want
to add this patch to your package!)

2. Your userdir is a symlink? 

3. Your userdir is not accessible for the user apache uses?

Most likely is reason #1.
Comment 7 Ignacio Vazquez-Abrams 2007-07-24 19:56:17 EDT
Package Change Request
======================
Package Name: mod_dnssd
Updated Fedora CC: lpoetter@redhat.com

Note You need to log in before you can comment on or make changes to this bug.